Competitor Tracker & Co. Docs

Rename the current organization. Admin-only. The name update is reflected on the next read of the org.

Rename the current organization. Admin-only. The name update is reflected on the next read of the org — Competitor Tracker & Co. API reference for PATCH.

Required role: admin or higher (organization-level).

Required scope: org:write (for both OAuth2 tokens and API keys).

PATCH
/v1/org

Authorization

X-API-Key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.competitortracker.io/v1/org" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "name": "string",
  "ownAppDomain": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "code": "string",
  "message": "string",
  "resolution": "string"
}